Bug 1024373 - Default optimistic locking configuration leads to inconsistency
Default optimistic locking configuration leads to inconsistency
Status: NEW
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 7.0.0
Assigned To: Tristan Tarrant
Martin Gencur
:
: 1026221 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 10:29 EDT by Martin Gencur
Modified: 2016-01-20 07:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
In Red Hat JBoss Data Grid, transactional caches are configured with optimistic locking by default. Concurrent <methodname>replace()</methodname> calls can return true under contention and transactions might unexpectedly commit. Two concurrent commands, <command>replace(key, A, B)</command> and <command>replace(key, A, C)</command> may both overwrite the entry. The command which is finalized later wins, overwriting an unexpected value with new value. This is a known issue in JBoss Data Grid 6.4. As a workaround, enable write skew check and the <parameter>REPEATABLE_READ</parameter> isolation level. This results in concurrent replace operations working as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3655 Blocker Closed Default optimistic locking configuration leads to inconsistency 2017-05-30 13:38 EDT

  None (edit)
Description Martin Gencur 2013-10-29 10:29:13 EDT
This should be mentioned in release notes as a fixed issue so that users know about it.
Comment 2 Martin Gencur 2013-10-29 11:15:07 EDT
Hi Misha, this should be documented in release notes. Users should know that the default configuration has changed.
Comment 3 Misha H. Ali 2013-10-29 19:23:13 EDT
Added the flag. Gemma will develop this release note for the GA Release Notes as a resolved issue.

In the meantime, if someone can point us to a JIRA that tracked this issue originally or add some CCFR information about this issue, it would be very helpful.
Comment 4 Radim Vansa 2013-11-04 05:14:09 EST
*** Bug 1026221 has been marked as a duplicate of this bug. ***
Comment 5 JBoss JIRA Server 2013-11-12 07:40:57 EST
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3655

Deferred to 7.0
Comment 6 Martin Gencur 2013-12-10 06:35:52 EST
This was scheduled for 7.0.0 and so it can't be a blocker for JDG 6.2. Removing this flag. This issue should be documented in release notes for JDG 6.2.GA as a known issue.

Note You need to log in before you can comment on or make changes to this bug.